org.icefaces.ace.component.sliderentry

## Interface ISliderEntry

- All Known Implementing Classes:
    SliderEntry, SliderEntryBase

      public interface ISliderEntry

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAxis()`
    `java.lang.String` | `getLength()`
    `int` | `getMax()`
    `int` | `getMin()`
    `java.lang.String` | `getOnSlide()`
    `java.lang.String` | `getOnSlideEnd()`
    `java.lang.String` | `getOnSlideStart()`
    `float` | `getStepPercent()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.Integer` | `getTabindex()`
    `int` | `getValue()`
    `javax.el.MethodExpression` | `getValueChangeListener()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isAnimate()`
    `boolean` | `isClickableRail()`
    `boolean` | `isDisabled()`
    `boolean` | `isImmediate()`
    `boolean` | `isShowLabels()`
    `void` | `setAnimate(boolean animate)`
    `void` | `setAxis(java.lang.String axis)`
    `void` | `setClickableRail(boolean clickableRail)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setImmediate(boolean immediate)`
    `void` | `setLength(java.lang.String length)`
    `void` | `setMax(int max)`
    `void` | `setMin(int min)`
    `void` | `setOnSlide(java.lang.String onSlide)`
    `void` | `setOnSlideEnd(java.lang.String onSlideEnd)`
    `void` | `setOnSlideStart(java.lang.String onSlideStart)`
    `void` | `setShowLabels(boolean showLabels)`
    `void` | `setStepPercent(float stepPercent)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTabindex(java.lang.Integer tabindex)`
    `void` | `setValue(int value)`
    `void` | `setValueChangeListener(javax.el.MethodExpression valueChangeListener)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setAnimate

          void setAnimate(boolean animate)

    - #### isAnimate

          boolean isAnimate()

    - #### setAxis

          void setAxis(java.lang.String axis)

    - #### getAxis

          java.lang.String getAxis()

    - #### setClickableRail

          void setClickableRail(boolean clickableRail)

    - #### isClickableRail

          boolean isClickableRail()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setImmediate

          void setImmediate(boolean immediate)

    - #### isImmediate

          boolean isImmediate()

    - #### setLength

          void setLength(java.lang.String length)

    - #### getLength

          java.lang.String getLength()

    - #### setMax

          void setMax(int max)

    - #### getMax

          int getMax()

    - #### setMin

          void setMin(int min)

    - #### getMin

          int getMin()

    - #### setOnSlide

          void setOnSlide(java.lang.String onSlide)

    - #### getOnSlide

          java.lang.String getOnSlide()

    - #### setOnSlideEnd

          void setOnSlideEnd(java.lang.String onSlideEnd)

    - #### getOnSlideEnd

          java.lang.String getOnSlideEnd()

    - #### setOnSlideStart

          void setOnSlideStart(java.lang.String onSlideStart)

    - #### getOnSlideStart

          java.lang.String getOnSlideStart()

    - #### setShowLabels

          void setShowLabels(boolean showLabels)

    - #### isShowLabels

          boolean isShowLabels()

    - #### setStepPercent

          void setStepPercent(float stepPercent)

    - #### getStepPercent

          float getStepPercent()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTabindex

          void setTabindex(java.lang.Integer tabindex)

    - #### getTabindex

          java.lang.Integer getTabindex()

    - #### setValue

          void setValue(int value)

    - #### getValue

          int getValue()

    - #### setValueChangeListener

          void setValueChangeListener(javax.el.MethodExpression valueChangeListener)

    - #### getValueChangeListener

          javax.el.MethodExpression getValueChangeListener()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.